Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-3379

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2011-3379
Last Modified 03 Jul 2012 12:02:42
Published 03 Nov 2011 11:55:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2011-3379

Summary

The is_a function in PHP 5.3.7 and 5.3.8 triggers a call to the __autoload function, which makes it easier for remote attackers to execute arbitrary code by providing a crafted URL and leveraging potentially unsafe behavior in certain PEAR packages and custom autoloaders.

Vulnerable Systems

Application

  • Php 5.3.7

  • Php 5.3.8


References

CONFIRM - https://bugzilla.redhat.com/show_bug.cgi?id=741020

CONFIRM - http://svn.php.net/viewvc/?view=revision&revision=317183

CONFIRM - https://bugs.php.net/bug.php?id=55475

BUGTRAQ - 20110923 Security issue is_a function in PHP 5.3.7+

MISC - http://www.byte.nl/blog/2011/09/23/security-bug-in-is_a-function-in-php-5-3-7-5-3-8/

SREASON - 8525

HP - HPSBMU02786

HP - SSRT100877


Last Updated: 27 May 2016 10:57:25